#region ... Copyright  2005 Roland Weigelt ...
/*
This software is provided 'as-is', without any expressed or
implied warranty. In no event will the author be held liable
for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any
purpose, including commercial applications, and to alter it and
redistribute it freely, subject to the following restrictions:

1.	The origin of this software must not be misrepresented; you
	must not claim that you wrote the original software. If you
	use this software in a product, an acknowledgment in the
	product documentation is required.
	
2.	Altered source versions must be plainly marked as such, and
	must not be misrepresented as being the original software.
	
3.	This notice may not be removed or altered from any source
	or altered source distribution.

Copyright  2005 Roland Weigelt (info@roland-weigelt.de)
*/
#endregion

using System;
using NUnit.Framework;

namespace Weigelt.LastBoxStanding.Test
{
	/// <summary>
	/// Tests the NetworkMachineMonitor class
	/// </summary>
	[ TestFixture ]
	public class NetworkMachineMonitorTest
	{
		[ Test ]
		public void BasicUsage_Pass()
		{
			MachineMonitor objMonitor=new NetworkMachineMonitor();
			Assert.IsTrue(objMonitor.IsMachineRunning("localhost"));
		}

		[ Test ]
		public void BasicUsage_Fail_Existing()
		{
			MachineMonitor objMonitor=new NetworkMachineMonitor();
			Assert.IsFalse(objMonitor.IsMachineRunning("NotRunning")); // dummy machine in my LAN
		}

		[ Test ]
		public void BasicUsage_Fail_NotExisting()
		{
			MachineMonitor objMonitor=new NetworkMachineMonitor();
			Assert.IsFalse(objMonitor.IsMachineRunning("NotExisting"));
		}
	}
}
