#region ... Copyright  2005 Roland Weigelt ...
/*
This software is provided 'as-is', without any expressed or
implied warranty. In no event will the author be held liable
for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any
purpose, including commercial applications, and to alter it and
redistribute it freely, subject to the following restrictions:

1.	The origin of this software must not be misrepresented; you
	must not claim that you wrote the original software. If you
	use this software in a product, an acknowledgment in the
	product documentation is required.
	
2.	Altered source versions must be plainly marked as such, and
	must not be misrepresented as being the original software.
	
3.	This notice may not be removed or altered from any source
	or altered source distribution.

Copyright  2005 Roland Weigelt (info@roland-weigelt.de)
*/
#endregion

using System;
using System.Collections.Specialized;
using System.Configuration;
using NUnit.Framework;

namespace Weigelt.LastBoxStanding.Test
{
	/// <summary>
	/// Tests the ServiceConfigurationSectionHandler class.
	/// </summary>
	[ TestFixture ]
	public class ServiceConfigurationSectionHandlerTest
	{
		[ Test ]
		public void BasicUsage()
		{
			ServiceConfiguration objConfiguration=ConfigurationSettings.GetConfig("lastBoxStanding") as ServiceConfiguration;
			Assert.IsNotNull(objConfiguration, "Expected: ServiceConfiguration");

			Assert.AreEqual("Dabbelju", objConfiguration.MonitoredMachines[0], "Failed: MonitoredMachines[0]");
			Assert.AreEqual("Kat", objConfiguration.MonitoredMachines[1], "Failed: MonitoredMachines[1]");

			Assert.IsNotNull(objConfiguration.ActionWhenLastRemaining, "Failed: ActionWhenLastRemaining");
			Assert.AreEqual("theExecutable", objConfiguration.ActionWhenLastRemaining.Executable, "Failed: ActionWhenLastRemaining.Executable");
			Assert.AreEqual("theArguments", objConfiguration.ActionWhenLastRemaining.Arguments, "Failed: ActionWhenLastRemaining.Arguments");

			Assert.AreEqual(10, objConfiguration.CheckInterval, "Failed: CheckInterval minutes");
			Assert.AreEqual(3, objConfiguration.CheckRetries, "Failed: CheckInterval retries");

			Assert.AreEqual(true, objConfiguration.SimulateActions, "Failed: SimulateActions");
		}

		[ Test ]
		public void WrongSectionName()
		{
			ServiceConfiguration objConfiguration=ConfigurationSettings.GetConfig("wrongSectionName") as ServiceConfiguration;
			Assert.IsNull(objConfiguration);
		}

	}
}
